Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface CriteriaQueryCompiler.ImplicitParameterBinding

Enclosing class:
  CriteriaQueryCompiler

    public static interface CriteriaQueryCompiler.ImplicitParameterBinding

Used to describe implicit (not defined in criteria query) parameters.

Method Summary
`void` | `bind(TypedQuery typedQuery)` Bind the implicit parameter's value to the JPA query.
`Class` | `getJavaType()` Get the java type of the "thing" that led to the implicit parameter.
`String` | `getParameterName()` Retrieve the generated name of the implicit parameter.

Method Detail

### getParameterName

    String getParameterName()

  Retrieve the generated name of the implicit parameter.

  Returns:
    The parameter name.

### getJavaType

    Class getJavaType()

  Get the java type of the "thing" that led to the implicit parameter. Used from `HibernateEntityManagerImplementor.Options.getNamedParameterExplicitTypes()` in determining "guessed type" overriding.

  Returns:
    The java type

### bind

    void bind(TypedQuery typedQuery)

  Bind the implicit parameter's value to the JPA query.

  Parameters:
    `typedQuery` - The JPA query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.